body, html {
    height: 100%;
}
body{
    padding:  0;
    margin: 0;
    font-family: "Poppins", sans-serif;
    background-color: black;
    display: flex;
    flex-direction:column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.formulario{
    width: 250px;
    padding: 40px;
    background: linear-gradient(to bottom right,rgb(216,0,255),blue);
    text-align: center;
    border-radius: 25px;
}
img{
    max-height: 150px;
}

.titulo{
    color: white;
}

.formulario input[type="text"],
.formulario input[type="password"],
.formulario button[type="submit"]{
    border: 0;
    background: none;
    display: block;
    margin: 20px auto;
    padding: 14px 10px;
    text-align: center;
    border: 2px solid white;
    width: 200px;
    outline: none;
    color: white;
    border-radius: 15px;
    transition: 0.25s;
    font-weight: bold;
}

.formulario input[type="text"]:focus,
.formulario input[type="password"]:focus {
    width: 220px;
    border-color: white;
}

.formulario button[type="submit"]{
    border:0;
    color: blueviolet;
    font-weight: bold;
    background-color: white;
    cursor: pointer;
    border: 2px solid white; 
}

.formulario button[type="submit"]:hover{
    background: black;
    color: white;
}
::placeholder { color: white; }

/*Estilos para pantalla principal */

.formulario2{
    width: 720px;
    padding: 20px;
    background: linear-gradient(to bottom right,rgb(216,0,255),blue);
    text-align:center;
    border-radius: 25px;
    display: flex;
    flex-direction:row;
    flex-wrap:wrap;
    justify-content:left;
    align-items:center;
}

.formulario2 input[type="text"]{
    border: 20;
    background: white;
    font-family: "Poppins", sans-serif;
    display: block;
    margin: 5px auto;
    padding: 5px 15px;
    text-align: le;
    border: 2px solid white;
    width: 250px;
    outline: none;
    color: black;
    border-radius: 10px;
    transition: 0.25s;
    font-weight: bold;
}
h4{
    margin: 8px;
    color: white;
}
.caja{
    border: 20;
    background: white;
    font-family: "Poppins", sans-serif;
    display: block;
    margin: 5px auto;
    padding: 5px 15px;
    text-align: le;
    border: 2px solid white;
    width: 250px;
    outline: none;
    color: black;
    border-radius: 10px;
    transition: 0.25s;
    font-weight: bold;
}
h1{
    margin: 30px;
}
.informacion{
    padding: 20px;
}
.imagen{
    padding: 20px;
}

.botonG{
    border:0;
    border-radius: 8px;
    margin: 15px 10px;
    color: white;
    font-weight: bold;
    background-color: rgb(7, 223, 0);
    cursor: pointer;
    border: 2px solid white; 
    padding: 5px 15px;
}
.botonE{
    border:0;
    border-radius: 8px;
    margin: 15px 10px;
    color: white;
    font-weight: bold;
    background-color: rgb(212, 25, 0);
    cursor: pointer;
    border: 2px solid white; 
    padding: 5px 15px;
}
.botonG:hover{
    background: rgb(30, 255, 0);
    color: black;
}
.botonE:hover{
    background: rgb(255, 0, 0);
    color: black;
}

/*Estilos para busqueda*/
.busqueda{
    width: 550px;
    padding:5px;
    background: linear-gradient(to top right,rgb(216,0,255),blue);
    text-align:left;
    border-radius: 25px;
    display:flex;
    flex-direction:row;
    flex-wrap:wrap;
    justify-content:left;
    align-items:center;
    color: white;
    font-family: "Poppins", sans-serif;
    size: 18px;
}
.busqueda input[type="text"]{
    border: 20;
    background: white;
    font-family: "Poppins", sans-serif;
    display: block;
    margin: 5px auto;
    padding: 5px 15px;
    text-align: le;
    border: 2px solid white;
    width: 250px;
    outline: none;
    color: black;
    border-radius: 10px;
    transition: 0.25s;
    font-weight: bold;
}
.botonB{
    border:0;
    border-radius: 8px;
    margin: 15px 10px;
    color: white;
    font-weight: bold;
    background-color: rgb(0, 132, 255);
    cursor: pointer;
    border: 2px solid white; 
    padding: 5px 15px;

}
.botonB:hover{
    background: rgb(0, 60, 255);
    color: black;
}

#toasts{
    position: fixed;
    bottom: 10px;
    right: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.toast{
    width: 300px;
    height: 70px;
    border-radius: 5px;
    margin: 0.5rem;
    color: #ffffff;
    font-weight: 900;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row-reverse;
    
}

.info{
    background-color: #2196f3;
}

.success{
    background-color: #4caf50;
}

.error{
    background-color: #ff5252;
}

.warning{
    background-color: #ffc107;
}